<?php
    include "misc.inc";
    include "common.inc";
    include "db_connect.inc";

    $email = trim($email);

    $ok=0; 

    while(1)
    {
        $login = current_user();
        if(!$login)
        {
            $errmsg="Вы должны сначала зарегистрироваться!";
            break;
        }

        if(strlen($email)==0 || strlen($fido7password)==0 || strlen($subject)==0 || strlen($body)==0)
        {
            $errmsg="Вы должны заполнить все поля формы!";
            break;
        } 

       $message = $body . "\n\n--\nПослано через " . $PROGRAM_URL . "\n";
       $posting_email = str_replace(".","-",$OBEC_ARTICLES_GROUP) . "@fido7.ru";
       if($emailcopy=="true")
           $cc = "Cc: $email\n";
       else 
           $cc = "";
       
       $lines = substr_count($message, "\n");

       if(!mail($posting_email, $subject, $message,
            "From: " . $email . "\n" .
            $cc .
            "Newsgroups: " . $OBEC_ARTICLES_GROUP . "\n" .
            "Followup-To: " . $OBEC_COMMENTS_GROUP . "\n" .
            "X-Complaints-To: " . $OBEC_EMAIL . "\n" .
            "Organization: " . $PROGRAM_NAME . " " . $PROGRAM_URL . "\n" .
            "Distribution: world\n" .
            "NNTP-Posting-Host: obec.org.ru\n" .
            "Keywords: " . $fido7password . "\n" .
            "Path: obec.org.ru!not-for-mail\n" .
            "X-Mailer: " . $HTTP_USER_AGENT . " via " .$PROGRAM_NAME . "\n" .
            "X-OBEC-User: " . $login . "\n" .
            "MIME-Version: 1.0\n" .
            "Content-Type: text/plain; charset=koi8-r\n" .
            "Lines: " . $lines
        ))
       {
           $errmsg = "Ошибка отправки почтового сообщения на указанный адрес.";
           break;
       }

       $ok = 1;
       break;
    } // while

    if($ok)
    {
        do_redirect("post_ok.php");
    } else
    {
        start_page();
    }
?>

<HTML>
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=koi8-r">
<TITLE>Posting error!</TITLE>
</HEAD>

<BODY link="#000033" vlink="#333333" alink="#CC0000">
<?php show_header(); ?>

<p>Ваше сообщение не было послано. Причина:
<pre>
        <?php print $errmsg; ?>
</pre>
Вы можете <a href="post.php">вернуться</a> и попробовать снова.

<?php show_footer(); ?>

</BODY>
</HTML>
